> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Place basic placeholder

> Place a basic text placeholder at a position on a page of a PDF contract via the Sendforsign API.

Basic placeholders are text placeholders that can be used to fill in HTML and PDF contracts.
Additionally, they can be linked to any recipient afterward.

Before placing placeholders in a PDF, you need to [create them](https://sendforsign.com/docs/api-reference/placeholder/create.md) in advance.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**contractKey** `string` *required*

Key of the contract.

**placeholders** `array` *required*

Array of placeholders.

**child attribute**

**placeholderKey** `string` *required*

Key of the placeholder that needs to be updated.

**insertion** `array`

Array of places.

**child attribute**

**id** `string`

ID of the insertion. Provide a new ID for each insertion. If you provide the ID of an existing
placeholder, the placeholder will be updated.

**pageId** `string`

Page number where you insert the placeholder, starting from 0.

**width** `string`

Width of the placeholder.

**height** `string`

Height of the placeholder.

**positionX** `string`

Position X of the placeholder, starting from the top-left corner of the page.

**positionY** `string`

Position Y of the placeholder, starting from the top-left corner of the page.

### Response

**placeholder** `string`

Placeholder structure.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "update",
        "clientKey": "YOUR_CLIENT_KEY",
        "contractKey": "CONTRACT_KEY",
        "placeholders": [
            {
                "placeholderKey": "PLACEHOLDER_KEY",
                "insertion": [
                    {
                        "action": "update",
                        "clientKey": "YOUR_CLIENT_KEY",
                        "id": 0,
                        "pageId": 0,
                        "width": 100,
                        "height": 100,
                        "positionX": 1,
                        "positionY": 1
                    }
                ]
            }
        ]
    }
}'
```

```json Response theme={null}
{
    "code": 201,
    "message": "Placeholder updated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.